| GET | /RestApi/sitefinity/data-intelligence/tracked-sites |
|---|
import java.math.*;
import java.util.*;
import net.servicestack.client.*;
public class dtos
{
public static class DECTrackingInfoDto
{
public ArrayList<String> untrackedSitesNames = null;
public Object trackedSites = null;
public Boolean isMultisite = null;
public ArrayList<String> getUntrackedSitesNames() { return untrackedSitesNames; }
public DECTrackingInfoDto setUntrackedSitesNames(ArrayList<String> value) { this.untrackedSitesNames = value; return this; }
public Object getTrackedSites() { return trackedSites; }
public DECTrackingInfoDto setTrackedSites(Object value) { this.trackedSites = value; return this; }
public Boolean getIsMultisite() { return isMultisite; }
public DECTrackingInfoDto setIsMultisite(Boolean value) { this.isMultisite = value; return this; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/data-intelligence/tracked-sites HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
untrackedSitesNames:
[
String
],
trackedSites: {},
isMultisite: False
}